Subject: Re: [Roll] GHC now crunches DTLS (Re: [6lowpan] draft-bormann-ghc)

From: Mark Smith <[email-masked]>
Date: Fri, 29 Mar 2013 14:11:03 -0700 (PDT)

Hi Carsten,

----- Original Message -----
> From: Carsten Bormann <[email-masked]>
> To: "[email-masked]" <[email-masked]>
> Cc: [email-masked]; "[email-masked] List" <[email-masked]>; "core ([email-masked])" <[email-masked]>
> Sent: Saturday, 30 March 2013 12:22 AM
> Subject: GHC now crunches DTLS (Re: [Roll] [6lowpan]  draft-bormann-ghc)
> 
> On Aug 25, 2012, at 13:41, peter van der Stok <[email-masked]> wrote:
> 
<snip>

> I'm CCing 6man because part of the proposal is a new ND (ICMPv6) option for 
> node capability indication.

Just focusing on this, I wonder if it would be better to create a more general purpose capability option for ND, limited to layer 3 capabilities (I think stateless/stateful DHCPv6 would be the place for layer 4 and above capability indications), of which 6LoWPAN/GHC uses one of the bits. RFC5175, "IPv6 Router Advertisement Flags Option" could probably be an example to model the text on, perhaps in a different ID.

Best regards,
Mark.

> Specific comments on that probably best go to the 6man mailing list.
> 
> Grüße, Carsten
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
>